Api reference/Webhooks
Delete a webhook endpoint
Disables the endpoint, cancels pending deliveries, then marks it deleted. The operation can be safely retried.
AuthorizationBearer <token>
OAuth 2.1 authorization code flow with PKCE. Audience must be the connect URL.
In: header
Scope: torqee:webhooks:write
Path Parameters
idstring
Length
1 <= lengthResponse Body
curl -X DELETE "https://connect.torqee.app/api/v1/webhooks/string"fetch("https://connect.torqee.app/api/v1/webhooks/string")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://connect.torqee.app/api/v1/webhooks/string"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://connect.torqee.app/api/v1/webhooks/string"
response = requests.request("DELETE", url)
print(response.text)Empty
{
"error": "unauthorized"
}{
"error": "insufficient_scope"
}{
"error": "not_found"
}{
"error": "internal_server_error"
}Empty